package common.db.dao.hibernate.dialect;

import java.sql.Types;

import org.hibernate.dialect.PostgreSQL94Dialect;
import org.hibernate.type.StringType;

/**
 * Postgres Dialect
 * @author Tadashi Nakayama
 * @version 1.0.0
 */
public class PostgreSQLDialect extends PostgreSQL94Dialect {
	/**
	 * コンストラクタ
	 */
	public PostgreSQLDialect() {
		super();
		super.registerHibernateType(Types.CHAR, new StringType().getName());
		super.registerHibernateType(Types.OTHER, new StringType().getName());
	}
}
